;=========================================================================
;=========================================================================
PRO NC_RETRIEVE_VARIABLE,ncid,var_name,var_out
;=========================================================================
;Retrives a variable from a .nc file if it's already open
;=========================================================================

;------------------------------------------------
; Find the variable ID and get variable
;------------------------------------------------
varid=ncdf_varid(ncid,var_name)
ncdf_varget,ncid,varid,var_out

;------------------------------------------------
; Check to see if var is a char type, and if so convert to string
;------------------------------------------------
varinfo = NCDF_VarInq(ncid, varid)
datatype = varinfo.datatype
IF datatype EQ 'CHAR' THEN var_out = STRING(var_out)

END