;=============================================================================
;=============================================================================
PRO SETUP_PS_COL,filename,dir,xsize=xsize,ysize=ysize,nrows=nrows,ncols=ncols,my_landscape=my_landscape,square=square
;=============================================================================
;Sets up IDL ready to make a ps plot (color)
;;=============================================================================

GET_RGB,r,g,b
TVLCT, r,g,b

help,dir
help,filename

IF (n_elements(xsize) eq 0) THEN xsize=16
IF (n_elements(ysize) eq 0) THEN ysize=12
IF keyword_set(square) THEN xsize=12 ;set to 12 by 12 for square
IF (n_elements(my_landscape) eq 0) THEN landscape=0
IF (n_elements(my_landscape) eq 1) THEN landscape=1

set_plot,'ps'
device,file=dir+filename,/encaps,/color,xsize=xsize,ysize=ysize,landscape=landscape

!p.color=1

IF (n_elements(nrows) eq 0) THEN nrows=0
IF (n_elements(ncols) eq 0) THEN ncols=0
!p.multi=[0,ncols,nrows]

!p.thick=3
!x.thick=2
!y.thick=2
!p.charthick=1.
!p.charsize=1.0

END
